Skip to content

Submit workflow​

POST
/v2/consumer/workflows

Parameters​

Query Parameters

wait

Seconds to wait for the workflow to complete before returning. If it has not completed by then a 202 is
returned and the client should query the workflow by its id.

Type
integer
Format
"int32"
Default
0
whatif

Whether to actually submit the workflow or return an estimate on what would happen upon submission

Type
boolean
Default
false
hideMatureContent

When set to true, any blob that has mature won't be available and won't have a URL

Type
boolean
Default
false

Request Body​

JSON

Responses​

OK

application/json
JSON

Playground​

Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI

Civitai Developer Documentation